package cn.iocoder.yudao.module.wealth.controller.admin.receiptItem;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wealth.dal.mysql.receipt.ReceiptMapper;
import cn.iocoder.yudao.module.wealth.service.receiptItem.BankReceiptDetailsService;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.BankIncomeItemReq;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.BankIncomeItemResp;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemReq;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemRespVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "管理后台 - 收款明细")
@RequestMapping("/ecw/BankReceiptDetails")
public class BankReceiptDetailsControl {

    @Resource
    private BankReceiptDetailsService bankReceiptDetailsService;

    @Autowired
    private ReceiptMapper receiptMapper;

    @GetMapping("/list")
    @ApiOperation("收款明细列表")
    public CommonResult<PageResult<ReceiptItemRespVO>> getBankReceiptDetailsList(ReceiptItemReq req) {
        return success(bankReceiptDetailsService.getBankReceiptDetailsList(req));
    }

    @GetMapping("/income/page")
    @ApiOperation("银行账号收支明细列表")
    public CommonResult<PageResult<BankIncomeItemResp>> getBankIncomeItemPage(BankIncomeItemReq req) {
        return success(bankReceiptDetailsService.getBankIncomeItemPage(req));
    }
}
